Skip to navigation

Retrieve ATS Application form

Retrieves the definition of an application form, which holds the questions candidates answer when they apply to a job. Use it to interpret the form answers of an application returned by GET /rest/ats/applications/{application_id}.

Token scopes: ats:read, worker:read

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

curl -X GET 'https://api.deel.training/rest/v2/contracts' \
  -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

application_form_idstringRequiredformat: "uuid"
Id of the application form

Response

Successful response with application form data
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error